.presentation {
    width: 100%;
    height: 33vh;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    background-image: url(../img/contacto/intro.jpg);
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
}

.presentation-container {
    width: 80%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    h1 {
        font-size: clamp(2.5rem, 2.167rem + 1.111vw, 3.5rem);
        font-family: LemonLight, sans-serif;
        color: var(--white);
        text-align: center;
        text-shadow: 2px 2px 5px rgba(0, 0, 0, 1);

        animation: slide-up 1s ease-out forwards;
        opacity: 0;
        transform: translateX(-100%);
    }
}

@keyframes slide-up {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

/*INFO*/

.info {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.info-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.info-items {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-flow: row wrap;
    gap: 2rem;
    margin-bottom: 2rem;
}

.info-item {
    flex: 1;
    max-width: 400px;
    min-width: 350px;
    height: auto;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-flow: column nowrap;

    background: var(--white);
    border-radius: 20px;
}

.info-icon {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.info-icon {
    font-size: clamp(8rem, 6.6667rem + 4.4444vw, 12rem);
    padding: 1rem;
    text-align: center;

}

.info-icon1 i {
    color: var(--dark-orange);
}

.info-icon2 i {
    color: var(--dark-blue);
}

.info-icon3 i {
    color: var(--green);
}

.info-text {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: .5rem;
    align-items: center;
    justify-content: center;
}

.info-text h2, .info-text p {
    color: var(--black);
    text-align: center;
}


.info-text1 a, .info-text2 a {
    position: relative;
    color: var(--black);
    text-decoration: none;

    font-family: Montserrat, Calibri;
    text-align: justify;
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
}

.info-text1 a::after, .info-text2 a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: var(--black);
    transform: translateX(-50%);
    transition: width 0.3s ease;
}

.info-text1 a:hover::after, .info-text2 a:hover::after {
    width: 100%;
}

/*Instalaciones*/
.instalaciones {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
}

.instalaciones-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.instalaciones-row {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-flow: row nowrap;
    gap: 2rem;
    margin-bottom: 2rem;
}

.instalaciones-item {
    flex: 1;
    height: auto;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-flow: column nowrap;
    background: var(--white);

    border-radius: 10px;
}


.instalaciones-text {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    padding: 1rem;
    gap: .5rem;

    h2, h3, p {
        color: var(--black);
        text-align: center;
    }
}

.map {
    width: 100%;
    height: auto;

    iframe {
        width: 100%;
        height: 100%;
        display: block;
        aspect-ratio: 16 / 9;

        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }
}

/*FORMULARIO*/

.formulario {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    padding-bottom: 2rem;
    padding-top: 2rem;
}

.formulario-container {
    width: 90%;
    max-width: 600px;
    padding: 2rem;
    background-color: var(--white);
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;

    h1 {
        color: var(--black);
        text-align: center;
        font-size: clamp(1.5rem, 1.333rem + 0.556vw, 2rem);
        margin-bottom: 1.5rem;
    }
}

.formulario-title {
    width: 90%;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-start;
    justify-content: center;
    align-self: center;
}

.contact-line {
    width: 50px;
    height: 3px;
    background-color: var(--black);
    align-self: center;
    margin-bottom: 1.5rem;
}

#contact-form {
    width: 100%;
    display: flex;
    flex-direction: column;
}

label {
    margin-bottom: 0.5rem;
    font-weight: bold;
    font-family: Montserrat, Calibri;
    text-align: justify;
    word-spacing: .2rem;
    color: var(--black);
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
}

.contact-input, select, textarea {
    width: 100%;
    padding: 0.8rem;
    margin-bottom: 1rem;
    border: 1px solid var(--scroll-grey);
    border-radius: 4px;
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
}

.contact-button {
    padding: 0.8rem;
    background-color: var(--black);
    color: var(--white);
    border: none;
    border-radius: 4px;
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact-button:hover {
    background-color: var(--dark-grey);
}

textarea {
    resize: vertical;
    min-height: 120px;
}

/*IA*/

.asistente {
    width: 100%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column nowrap;
    margin-top: 2rem;
}

.asistente-container {
    width: 90%;
    height: auto;

    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
}

.wpaicg-chat-shortcode {
    margin: 0 !important;
    width: 100% !important;
}

.wpaicg-chat-message, .wpaicg-chat-shortcode-type textarea, .wpaicg-user-message, .wpaicg_chat_additions {
    font-family: Montserrat, Calibri;
    text-align: justify;
    color: var(--white);
    font-size: clamp(1rem, 0.933rem + 0.222vw, 1.2rem);
}



@media (max-width: 550px) {
    .instalaciones-row {
        flex-flow: column nowrap;
    }
}